commit:     4aede7ec9a402c32df7aff7f98f20fd2e671e2c2
Author:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Tue Dec 29 15:36:34 2020 +0000
Commit:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
CommitDate: Tue Dec 29 15:37:14 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=4aede7ec

sys-cluster/lmod: version bump to 8.4.19

major change: also update to slotted lua

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>

 profiles/updates/4Q-2020                           |   1 +
 sys-cluster/Lmod/Lmod-8.4.11.ebuild                | 112 ------------------
 sys-cluster/Lmod/Lmod-8.4.16.ebuild                | 110 ------------------
 sys-cluster/Lmod/files/Lmod-8.4.11-ldflags.patch   |  26 -----
 .../lmod/files/lmod-8.4.19-no-libsandbox.patch     |  13 +++
 sys-cluster/lmod/lmod-8.4.19.ebuild                | 126 +++++++++++++++++++++
 sys-cluster/lmod/lmod-9999.ebuild                  | 126 +++++++++++++++++++++
 sys-cluster/{Lmod => lmod}/metadata.xml            |   0
 8 files changed, 266 insertions(+), 248 deletions(-)

diff --git a/profiles/updates/4Q-2020 b/profiles/updates/4Q-2020
index fe4449bff..533fbbee0 100644
--- a/profiles/updates/4Q-2020
+++ b/profiles/updates/4Q-2020
@@ -1 +1,2 @@
 move sci-libs/amdlibm sci-libs/aocl-libm
+move sys-cluster/Lmod sys-cluster/lmod

diff --git a/sys-cluster/Lmod/Lmod-8.4.11.ebuild 
b/sys-cluster/Lmod/Lmod-8.4.11.ebuild
deleted file mode 100644
index afe34b143..000000000
--- a/sys-cluster/Lmod/Lmod-8.4.11.ebuild
+++ /dev/null
@@ -1,112 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DESCRIPTION="Environment Module System based on Lua"
-HOMEPAGE="https://lmod.readthedocs.io/en/latest";
-SRC_URI="https://github.com/TACC/Lmod/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-KEYWORDS="~amd64"
-
-LICENSE="MIT"
-SLOT="0"
-IUSE="auto-swap cache dotfiles duplicate +extend italic module-cmd nocase 
redirect test"
-RESTRICT="!test? ( test )"
-
-RDEPEND+="
-       app-shells/tcsh
-       || (
-               app-shells/loksh
-               app-shells/mksh
-               app-shells/ksh
-       )
-       app-shells/zsh
-       dev-lang/tcl
-       dev-lua/luafilesystem
-       dev-lua/luajson
-       dev-lua/luaposix
-       dev-lua/lua-term
-"
-DEPEND+="${RDEPEND}"
-BDEPEND+="
-       test? (
-               dev-util/Hermes
-       )
-"
-
-PATCHES=( "${FILESDIR}"/${PN}-8.4.11-ldflags.patch )
-
-pkg_setup() {
-       elog "There is a lot of options for this package,"
-       elog "especially for run time behaviour."
-       elog "You can set them using EXTRA_ECONF variable."
-       elog "To see full list of options visit:"
-       elog "https://lmod.readthedocs.io/en/latest/090_configuring_lmod.html";
-}
-
-src_prepare() {
-       default
-
-       rm -r "${S}"/rt/{colorize,end2end,help,ifur,settarg} || die
-}
-
-src_configure() {
-       # set environment variables to pass to Lmod configuration
-       local -x CACHE_LIFETIME="${CACHE_LIFETIME:-86400}"
-       local -x SHORT_TIME="${SHORT_TIME:-2}"
-       local -x 
SYSTEM_TOUCH="${SYSTEM_TOUCH:-/var/lmod/latest_system_update.time}"
-       local -x SITE_NAME="${SITE_NAME:-Gentoo}"
-       local -x SYSHOST="${SYSHOST:-Gentoo}"
-
-       local myconf=(
-               --with-tcl
-               --with-fastTCLInterp
-               --with-colorize
-               --prefix=/opt
-               --with-ancient="${CACHE_LIFETIME}"
-               --with-supportKsh
-               --with-updateSystemFn="${SYSTEM_TOUCH}"
-               --with-siteName="${SITE_NAME}"
-               --with-syshost="${SYSHOST}"
-               --with-shortTime="${SHORT_TIME}"
-               --without-useBuiltinPkgs
-               $(use_with duplicate duplicatePaths)
-               $(use_with nocase caseIndependentSorting)
-               $(use_with italic hiddenItalic)
-               $(use_with auto-swap autoSwap)
-               $(use_with module-cmd exportedModuleCmd)
-               $(use_with redirect)
-               $(use_with dotfiles useDotFiles)
-               $(use_with cache cachedLoads)
-               $(use_with extend extendedDefault)
-       )
-
-       econf ${myconf[@]} ${EXTRA_ECONF[@]}
-}
-
-src_compile() {
-       CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
-       default
-}
-
-src_test() {
-       local -x PATH="/opt/hermes/bin:${PATH}"
-       tm -vvv || die
-}
-
-src_install() {
-       CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
-       default
-
-       keepdir /var/lmod
-}
-
-pkg_postinst() {
-       elog "Lmod has been installed at /opt/lmod/{lmod -> ${PV}}"
-       elog "To activate Lmod, you need to source the profile"
-       elog "script provided"
-       elog " $ . /opt/lmod/lmod/init/profile"
-       elog "This will provide you with the 'module' command"
-       elog " $ man module"
-}

diff --git a/sys-cluster/Lmod/Lmod-8.4.16.ebuild 
b/sys-cluster/Lmod/Lmod-8.4.16.ebuild
deleted file mode 100644
index fafdc2cd7..000000000
--- a/sys-cluster/Lmod/Lmod-8.4.16.ebuild
+++ /dev/null
@@ -1,110 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DESCRIPTION="Environment Module System based on Lua"
-HOMEPAGE="https://lmod.readthedocs.io/en/latest";
-SRC_URI="https://github.com/TACC/Lmod/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-KEYWORDS="~amd64"
-
-LICENSE="MIT"
-SLOT="0"
-IUSE="auto-swap cache dotfiles duplicate +extend italic module-cmd nocase 
redirect test"
-RESTRICT="!test? ( test )"
-
-RDEPEND+="
-       app-shells/tcsh
-       || (
-               app-shells/loksh
-               app-shells/mksh
-               app-shells/ksh
-       )
-       app-shells/zsh
-       dev-lang/tcl
-       dev-lua/luafilesystem
-       dev-lua/luajson
-       dev-lua/luaposix
-       dev-lua/lua-term
-"
-DEPEND+="${RDEPEND}"
-BDEPEND+="
-       test? (
-               dev-util/Hermes
-       )
-"
-
-pkg_setup() {
-       elog "There is a lot of options for this package,"
-       elog "especially for run time behaviour."
-       elog "You can set them using EXTRA_ECONF variable."
-       elog "To see full list of options visit:"
-       elog "https://lmod.readthedocs.io/en/latest/090_configuring_lmod.html";
-}
-
-src_prepare() {
-       default
-
-       rm -r "${S}"/rt/{colorize,end2end,help,ifur,settarg} || die
-}
-
-src_configure() {
-       # set environment variables to pass to Lmod configuration
-       local -x CACHE_LIFETIME="${CACHE_LIFETIME:-86400}"
-       local -x SHORT_TIME="${SHORT_TIME:-2}"
-       local -x 
SYSTEM_TOUCH="${SYSTEM_TOUCH:-/var/lmod/latest_system_update.time}"
-       local -x SITE_NAME="${SITE_NAME:-Gentoo}"
-       local -x SYSHOST="${SYSHOST:-Gentoo}"
-
-       local myconf=(
-               --with-tcl
-               --with-fastTCLInterp
-               --with-colorize
-               --prefix=/opt
-               --with-ancient="${CACHE_LIFETIME}"
-               --with-supportKsh
-               --with-updateSystemFn="${SYSTEM_TOUCH}"
-               --with-siteName="${SITE_NAME}"
-               --with-syshost="${SYSHOST}"
-               --with-shortTime="${SHORT_TIME}"
-               --without-useBuiltinPkgs
-               $(use_with duplicate duplicatePaths)
-               $(use_with nocase caseIndependentSorting)
-               $(use_with italic hiddenItalic)
-               $(use_with auto-swap autoSwap)
-               $(use_with module-cmd exportedModuleCmd)
-               $(use_with redirect)
-               $(use_with dotfiles useDotFiles)
-               $(use_with cache cachedLoads)
-               $(use_with extend extendedDefault)
-       )
-
-       econf ${myconf[@]} ${EXTRA_ECONF[@]}
-}
-
-src_compile() {
-       CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
-       default
-}
-
-src_test() {
-       local -x PATH="/opt/hermes/bin:${PATH}"
-       tm -vvv || die
-}
-
-src_install() {
-       CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
-       default
-
-       keepdir /var/lmod
-}
-
-pkg_postinst() {
-       elog "Lmod has been installed at /opt/lmod/{lmod -> ${PV}}"
-       elog "To activate Lmod, you need to source the profile"
-       elog "script provided"
-       elog " $ . /opt/lmod/lmod/init/profile"
-       elog "This will provide you with the 'module' command"
-       elog " $ man module"
-}

diff --git a/sys-cluster/Lmod/files/Lmod-8.4.11-ldflags.patch 
b/sys-cluster/Lmod/files/Lmod-8.4.11-ldflags.patch
deleted file mode 100644
index afd652142..000000000
--- a/sys-cluster/Lmod/files/Lmod-8.4.11-ldflags.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-diff --git a/pkgs/luafilesystem/Makefile b/pkgs/luafilesystem/Makefile
-index 9beaf12..7926e29 100644
---- a/pkgs/luafilesystem/Makefile
-+++ b/pkgs/luafilesystem/Makefile
-@@ -28,7 +28,7 @@ $(SONAME):
-       ln -s $(SONAMEV) $@
- 
- $(LIBRARY): $(OBJ)
--      $(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) -lc
-+      $(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) $(LDFLAGS) -lc
- 
- install: $(LIB) all
-       cp -a *.so* $(LIB)
-diff --git a/pkgs/tcl2lua/Makefile b/pkgs/tcl2lua/Makefile
-index dbce85e..be42a85 100644
---- a/pkgs/tcl2lua/Makefile
-+++ b/pkgs/tcl2lua/Makefile
-@@ -25,7 +25,7 @@ $(SONAME):
-       ln -s $(SONAMEV) $@
- 
- $(LIBRARY): $(OBJ)
--      $(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) -lc $(LIBS)
-+      $(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) $(LDFLAGS) -lc 
$(LIBS)
- 
- install: all
-       cp -a *.so* $(LIB)

diff --git a/sys-cluster/lmod/files/lmod-8.4.19-no-libsandbox.patch 
b/sys-cluster/lmod/files/lmod-8.4.19-no-libsandbox.patch
new file mode 100644
index 000000000..02248bc45
--- /dev/null
+++ b/sys-cluster/lmod/files/lmod-8.4.19-no-libsandbox.patch
@@ -0,0 +1,13 @@
+diff --git a/configure.ac b/configure.ac
+index ca75e34c..e9cc49e0 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -616,7 +616,7 @@ AC_SUBST(SYS_LD_LIB_PATH)
+ SYS_LD_LIB_PATH=$LD_LIBRARY_PATH
+ 
+ AC_SUBST(SYS_LD_PRELOAD)
+-SYS_LD_PRELOAD=$LD_PRELOAD
++SYS_LD_PRELOAD=$(printf %s\\n $LD_PRELOAD | sed -e "s/libsandbox.so//g")
+ 
+ AC_SUBST(PATH_TO_SRC)
+ SRCDIR=$( cd $srcdir; pwd)

diff --git a/sys-cluster/lmod/lmod-8.4.19.ebuild 
b/sys-cluster/lmod/lmod-8.4.19.ebuild
new file mode 100644
index 000000000..cc30e4b48
--- /dev/null
+++ b/sys-cluster/lmod/lmod-8.4.19.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} )
+inherit autotools lua-single
+
+DESCRIPTION="Environment Module System based on Lua"
+HOMEPAGE="https://lmod.readthedocs.io/en/latest";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/TACC/Lmod";
+else
+       SRC_URI="https://github.com/TACC/Lmod/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       S="${WORKDIR}"/Lmod-${PV}
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="auto-swap cache dotfiles duplicate +extend italic module-cmd nocase 
redirect test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${LUA_DEPS}
+       app-shells/tcsh
+       || (
+               app-shells/loksh
+               app-shells/mksh
+               app-shells/ksh
+       )
+       app-shells/zsh
+       dev-lang/tcl
+       dev-lang/tk
+       $(lua_gen_cond_dep '
+               >=dev-lua/luafilesystem-1.8.0[${LUA_USEDEP}]
+               dev-lua/luajson[${LUA_USEDEP}]
+               dev-lua/luaposix[${LUA_USEDEP}]
+               dev-lua/lua-term[${LUA_USEDEP}]
+       ')
+       virtual/pkgconfig
+"
+DEPEND="${RDEPEND}"
+BDEPEND="${RDEPEND}
+       test? (
+               $(lua_gen_cond_dep '
+                       dev-util/hermes[${LUA_SINGLE_USEDEP}]
+               ')
+       )
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-8.4.19-no-libsandbox.patch )
+
+pkg_pretend() {
+       elog "You can control the siteName and syshost settings by"
+       elog "using the variables LMOD_SITENAME and LMOD_SYSHOST, during"
+       elog "build time, which are both set to 'Gentoo' by default."
+       elog "There are a lot of options for this package, especially"
+       elog "for run time behaviour. Remember to use the EXTRA_ECONF variable."
+       elog "To see full list of options visit:"
+       elog "\t 
https://lmod.readthedocs.io/en/latest/090_configuring_lmod.html";
+}
+
+src_prepare() {
+       default
+       rm -rf pkgs/{luafilesystem,term} || die
+       rm -rf rt/{colorize,end2end,help,ifur,settarg} || die
+       eautoreconf
+}
+
+src_configure() {
+       local LMOD_SITENAME="${LMOD_SITENAME:-Gentoo}"
+       local LMOD_SYSHOST="${LMOD_SYSHOST:-Gentoo}"
+
+       local LUAC="${LUA%/*}/luac${LUA#*lua}"
+
+       local myconf=(
+               --with-tcl
+               --with-fastTCLInterp
+               --with-colorize
+               --with-supportKsh
+               --without-useBuiltinPkgs
+               --with-siteControlPrefix
+               --with-siteName="${LMOD_SITENAME}"
+               --with-syshost="${LMOD_SYSHOST}"
+               --with-lua_include="$(lua_get_include_dir)"
+               --with-lua="${LUA}"
+               --with-luac="${LUAC}"
+               --with-module-root-path="${EPREFIX}/etc/modulefiles"
+               
--with-updateSystemFn="${EPREFIX}/etc/modulefiles/.lmod_system_update"
+               --prefix="${EPREFIX}/usr/share/Lmod"
+               $(use_with duplicate duplicatePaths)
+               $(use_with nocase caseIndependentSorting)
+               $(use_with italic hiddenItalic)
+               $(use_with auto-swap autoSwap)
+               $(use_with module-cmd exportedModuleCmd)
+               $(use_with redirect)
+               $(use_with dotfiles useDotFiles)
+               $(use_with cache cachedLoads)
+               $(use_with extend extendedDefault)
+       )
+       econf "${myconf[@]}"
+}
+
+src_compile() {
+       CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
+       default
+}
+
+src_test() {
+       local -x PATH="/opt/hermes/bin:${PATH}"
+       tm -vvv || die
+       testcleanup || die
+}
+
+src_install() {
+       default
+
+       insinto /etc/profile.d
+       newins "${ED}"/usr/share/Lmod/init/profile lmod.sh
+       newins "${ED}"/usr/share/Lmod/init/profile.fish lmod.fish
+
+       keepdir /etc/modulefiles
+}

diff --git a/sys-cluster/lmod/lmod-9999.ebuild 
b/sys-cluster/lmod/lmod-9999.ebuild
new file mode 100644
index 000000000..cc30e4b48
--- /dev/null
+++ b/sys-cluster/lmod/lmod-9999.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} )
+inherit autotools lua-single
+
+DESCRIPTION="Environment Module System based on Lua"
+HOMEPAGE="https://lmod.readthedocs.io/en/latest";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/TACC/Lmod";
+else
+       SRC_URI="https://github.com/TACC/Lmod/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       S="${WORKDIR}"/Lmod-${PV}
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="auto-swap cache dotfiles duplicate +extend italic module-cmd nocase 
redirect test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${LUA_DEPS}
+       app-shells/tcsh
+       || (
+               app-shells/loksh
+               app-shells/mksh
+               app-shells/ksh
+       )
+       app-shells/zsh
+       dev-lang/tcl
+       dev-lang/tk
+       $(lua_gen_cond_dep '
+               >=dev-lua/luafilesystem-1.8.0[${LUA_USEDEP}]
+               dev-lua/luajson[${LUA_USEDEP}]
+               dev-lua/luaposix[${LUA_USEDEP}]
+               dev-lua/lua-term[${LUA_USEDEP}]
+       ')
+       virtual/pkgconfig
+"
+DEPEND="${RDEPEND}"
+BDEPEND="${RDEPEND}
+       test? (
+               $(lua_gen_cond_dep '
+                       dev-util/hermes[${LUA_SINGLE_USEDEP}]
+               ')
+       )
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-8.4.19-no-libsandbox.patch )
+
+pkg_pretend() {
+       elog "You can control the siteName and syshost settings by"
+       elog "using the variables LMOD_SITENAME and LMOD_SYSHOST, during"
+       elog "build time, which are both set to 'Gentoo' by default."
+       elog "There are a lot of options for this package, especially"
+       elog "for run time behaviour. Remember to use the EXTRA_ECONF variable."
+       elog "To see full list of options visit:"
+       elog "\t 
https://lmod.readthedocs.io/en/latest/090_configuring_lmod.html";
+}
+
+src_prepare() {
+       default
+       rm -rf pkgs/{luafilesystem,term} || die
+       rm -rf rt/{colorize,end2end,help,ifur,settarg} || die
+       eautoreconf
+}
+
+src_configure() {
+       local LMOD_SITENAME="${LMOD_SITENAME:-Gentoo}"
+       local LMOD_SYSHOST="${LMOD_SYSHOST:-Gentoo}"
+
+       local LUAC="${LUA%/*}/luac${LUA#*lua}"
+
+       local myconf=(
+               --with-tcl
+               --with-fastTCLInterp
+               --with-colorize
+               --with-supportKsh
+               --without-useBuiltinPkgs
+               --with-siteControlPrefix
+               --with-siteName="${LMOD_SITENAME}"
+               --with-syshost="${LMOD_SYSHOST}"
+               --with-lua_include="$(lua_get_include_dir)"
+               --with-lua="${LUA}"
+               --with-luac="${LUAC}"
+               --with-module-root-path="${EPREFIX}/etc/modulefiles"
+               
--with-updateSystemFn="${EPREFIX}/etc/modulefiles/.lmod_system_update"
+               --prefix="${EPREFIX}/usr/share/Lmod"
+               $(use_with duplicate duplicatePaths)
+               $(use_with nocase caseIndependentSorting)
+               $(use_with italic hiddenItalic)
+               $(use_with auto-swap autoSwap)
+               $(use_with module-cmd exportedModuleCmd)
+               $(use_with redirect)
+               $(use_with dotfiles useDotFiles)
+               $(use_with cache cachedLoads)
+               $(use_with extend extendedDefault)
+       )
+       econf "${myconf[@]}"
+}
+
+src_compile() {
+       CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
+       default
+}
+
+src_test() {
+       local -x PATH="/opt/hermes/bin:${PATH}"
+       tm -vvv || die
+       testcleanup || die
+}
+
+src_install() {
+       default
+
+       insinto /etc/profile.d
+       newins "${ED}"/usr/share/Lmod/init/profile lmod.sh
+       newins "${ED}"/usr/share/Lmod/init/profile.fish lmod.fish
+
+       keepdir /etc/modulefiles
+}

diff --git a/sys-cluster/Lmod/metadata.xml b/sys-cluster/lmod/metadata.xml
similarity index 100%
rename from sys-cluster/Lmod/metadata.xml
rename to sys-cluster/lmod/metadata.xml

Reply via email to